root = exports ? this
root.dbName = 'MassBlast' # should be constant
root.db = null

root.gdata = {}
root.gdata.data = {}
root.gdata.data.table    = undefined

root.gdata.view = {}
root.gdata.view.pie      = undefined
root.gdata.view.query    = undefined
root.gdata.view.org      = undefined
root.gdata.view.local_db = undefined

root.gdata.vis = {}
root.gdata.vis.table = undefined
root.gdata.vis.pie   = undefined
root.gdata.vis.query = undefined
root.gdata.vis.org   = undefined

root.gdata.selection = {}
root.gdata.selection.pie   = {}
root.gdata.selection.list = {}

root.gdata.template = {
  type: "string"
  remote_db: "string"
  query: "string"
  local_db: "string"
  organism: "string"
  description: "string"
  qseqid: "string"
  sseqid: "string"
  evalue: "string"
  pident: "string"
  qcovs: "string"
}

# google visualization API
google.load("visualization", "1", {packages:["table","corechart","controls"]})
google.setOnLoadCallback(init_this);

$ ->
  $("#select-all").on "click", (e)->
    root.pieSelection = {}
    calcSlices(root.pieSelection)
    e.preventDefault()

  $(".show_me").on "click", (e)->
    el_id = this.id.replace(/_show$/,"")
    $(".data").hide()
    $("##{el_id}").show()

    $('html, body').animate {
        scrollTop: $( $.attr(this, 'href') ).offset().top - 50
    }, 500
    show_hide_table_entries()
    e.preventDefault()
